For the complete documentation index, see llms.txt. This page is also available as Markdown.

PlanFieldName

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getPlanFieldName

post

Retrieve PlanFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
PlanFieldNameFieldintegerRequired
Responses
200

Successful operation.

application/json
post/getPlanFieldName
POST /nexum/627/2022.01/parameter/getPlanFieldName HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 172

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PlanFieldNameField": "example-value",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PlanFieldName": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getPlanFieldName"
}

getPlanFieldNameSelectFields

post

Retrieve PlanFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
PlanFieldNameFieldintegerOptional
Responses
200

Successful operation.

application/json
post/getPlanFieldNameSelectFields
POST /nexum/627/2022.01/parameter/getPlanFieldNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 236

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PlanFieldNameField": 1,
  "SelectableFields": {
    "PlanFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  }
}
200

Successful operation.

{
  "PlanFieldName": {
    "Field": 1,
    "FieldName": "User Char   01"
  },
  "MessageId": "getPlanFieldNameSelectFields"
}

getPlanFieldNamePagedList

post

Retrieve PlanFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getPlanFieldNamePagedList
POST /nexum/627/2022.01/parameter/getPlanFieldNamePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PlanFieldName": [],
  "Token": null,
  "MessageId": "getPlanFieldNamePagedList"
}

getPlanFieldNameListSelectFields

post

Retrieve PlanFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getPlanFieldNameListSelectFields
POST /nexum/627/2022.01/parameter/getPlanFieldNameListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 196

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllPlanFieldNameFields": true
  }
}
200

Successful operation.

{
  "PlanFieldNameList": [],
  "MessageId": "getPlanFieldNameListSelectFields"
}

searchPlanFieldNameSelectFields

post

Search PlanFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchPlanFieldNameSelectFields
POST /nexum/627/2022.01/parameter/searchPlanFieldNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 234

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllPlanFieldNameFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PlanFieldNameList": [],
  "MessageId": "searchPlanFieldNameSelectFields"
}

getPlanFieldNamePagedListSelectFields

post

Retrieve PlanFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getPlanFieldNamePagedListSelectFields
POST /nexum/627/2022.01/parameter/getPlanFieldNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 292

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "PlanFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  }
}
200

Successful operation.

{
  "PlanFieldName": [
    {
      "Field": 1,
      "FieldName": "User Char   01"
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getPlanFieldNamePagedListSelectFields"
}

searchPlanFieldNamePagedSelectFields

post

Search PlanFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchPlanFieldNamePagedSelectFields
POST /nexum/627/2022.01/parameter/searchPlanFieldNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 303

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "PlanFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  }
}
200

Successful operation.

{
  "PlanFieldName": [
    {
      "Field": 1,
      "FieldName": "User Char   01"
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchPlanFieldNamePagedSelectFields"
}

updatePlanFieldNameByID

post

Update PlanFieldName parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
PlanFieldNameFieldintegerOptional
Responses
200

Successful operation.

application/json
post/updatePlanFieldNameByID
POST /nexum/627/2022.01/parameter/updatePlanFieldNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 244

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PlanFieldNameField": "example-value",
  "PlanFieldNameUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updatePlanFieldNameByID"
}

Last updated

Was this helpful?